Subject: bug#13463: closed (Re: bug#13463: Acknowledgement (web http (fport_write) broken pipe))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 16 Jan 2013 20:29:03 +0000

Your bug report

#13463: web http (fport_write) broken pipe

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13463: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13463
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13463: Acknowledgement (web http (fport_write) broken pipe)
From: [email-masked] (Ludovic Courtès)
To: Aleix Conchillo Flaqué <[email-masked]>
Cc: [email-masked]
Date: Wed, 16 Jan 2013 21:28:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Aleix Conchillo Flaqué <[email-masked]> skribis:

> I think you can ignore this by now. It might be a server problem as
> other services were having problems too.

OK, done.  (Nothing new had happened in that area in 2.0.7.)

Ludo’.

Subject: web http (fport_write) broken pipe
From: Aleix Conchillo Flaqué <[email-masked]>
To: [email-masked]
Date: Wed, 16 Jan 2013 09:28:33 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi

I keep my blog using Andy's tekuti and I always update to latest
guile. Right now 2.0.7, since last week.

This morning I found out that the blog was not running and this is
what the terminal showed.

Aleix

----

In web/server/http.scm:
    158:6  1 (http-write #<<http-server> socket: #<input-output: so…> …)
In unknown file:
           0 (put-bytevector #<input-output: socket 11> #vu8(60 # …) …)
ERROR: In procedure fport_write: Broken pipe

[some more of the same with different socket numbers]

In web/server/http.scm:
    158:6  1 (http-write #<<http-server> socket: #<input-output: so…> …)
In unknown file:
           0 (put-bytevector #<input-output: socket 20> #vu8(60 # …) …)
ERROR: In procedure fport_write: Broken pipe

;;; ((p "Incomplete post data:" "x"))
Killed